#ifndef __EPGSEARCHCMD_H
#define __EPGSEARCHCMD_H

#include <vdr/menuitems.h>

// --- cMenuSearchCommands ---------------------------------------------------------

class cMenuSearchCommands : public cOsdMenu {
private:
  cCommands commands;
  eOSState Execute(void);
  const cEvent* event;
  bool directCall;
public:
  cMenuSearchCommands(const char *Title, const cEvent* Event, bool DirectCall = false);
  virtual ~cMenuSearchCommands();
  virtual eOSState ProcessKey(eKeys Key);
  virtual eOSState Record(void);
  virtual eOSState Switch(void);
  virtual eOSState ExtendedSearch(void);
  virtual eOSState CreateSearchTimer(void);
  void LoadCommands();
};

#endif
